Bug 120913 - webalizer sending warnings to root
webalizer sending warnings to root
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: webalizer (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 02:25 EDT by Milan Kerslager
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 08:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2004-04-15 02:25:07 EDT
When there are broken URLs in the log, webalizer produce error
messages and cron pass them to root mailbox. Please set in
/etc/webalizer.conf:

ReallyQuiet    yes

Sample of warning message:

Warning: Truncating oversized request field
Comment 1 Joe Orton 2004-04-16 06:20:17 EDT
Thanks for the report.
Comment 2 Petri T. Koistinen 2004-05-09 04:18:01 EDT
This is should be default for Fedora too.
Comment 3 Razvan Corneliu C.R. VILT 2004-06-16 10:49:11 EDT
THis small cron mod should fix the problem... It's purpose is to erase
any SEARCH methods.... It's supposed to be a virus or something...
#! /bin/bash
# update access statistics for the web site

if [ -s /var/log/httpd/access_log ] ; then
    cp /var/log/httpd/access_log /var/log/httpd/access_log.new;
    grep -v \ SEARCH\  /var/log/httpd/access_log.new >
/var/log/httpd/access_log;
    rm -f /var/log/httpd/access_log.new
    /usr/bin/webalizer
fi
Comment 4 Joe Orton 2005-09-21 08:41:08 EDT
This problem will be resolved in a future major release of Red Hat Enterprise
Linux.  Red Hat does not currently plan to provide a resolution for this in a
Red Hat Enterprise Linux update for currently deployed systems; the
configuration file can be changed as desired for such systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.